FlightByte

Get a flight

Fetch a single flight leg by its natural key.

GET
/v1/flights/{carrier}/{flightNumber}/{date}

Fetch a single flight leg by its natural key.

x-api-key<token>

Your FlightByte API key. Request one at https://flightbyte.dev/get-api-key.

In: header

Path Parameters

carrier*string
flightNumber*string
date*string

Query Parameters

origin?string
destination?string
flightId?string
refresh?string

Response Body

application/json

curl -X GET "https://example.com/v1/flights/TK/1848/2026-09-08"
{  "flightKey": "TK1848:2026-09-08",  "carrierCode": "TK",  "flightNumber": "1848",  "date": "2026-09-08",  "providerFlightId": "1407084032",  "fetchedAt": "2026-09-09T13:20:00.000Z",  "carrier": {    "iata": "TK",    "icao": "THY",    "name": "Turkish Airlines"  },  "operatedBy": "AnadoluJet",  "codeshares": [    {      "carrier": "A3",      "name": "Aegean Airlines",      "flightNumber": "3160"    }  ],  "departure": {    "airport": {      "iata": "IST",      "icao": "LTFM",      "code": {},      "name": "Istanbul Airport",      "city": "Istanbul",      "state": "",      "country": {        "code": "TR",        "name": "Turkey",        "emoji": "🇹🇷",        "flagSvg": "https://api.example.com/v1/flags/tr.svg",        "flagSvgSquare": "https://api.example.com/v1/flags/tr.svg?shape=1x1"      },      "timezone": "Europe/Istanbul"    },    "terminal": "M",    "gate": "A11",    "baggage": "16",    "times": {      "scheduledGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "estimatedGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "actualGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "scheduledRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "estimatedRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "actualRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      }    },    "bestTimeUtc": {},    "delayMinutes": {}  },  "arrival": {    "airport": {      "iata": "IST",      "icao": "LTFM",      "code": {},      "name": "Istanbul Airport",      "city": "Istanbul",      "state": "",      "country": {        "code": "TR",        "name": "Turkey",        "emoji": "🇹🇷",        "flagSvg": "https://api.example.com/v1/flags/tr.svg",        "flagSvgSquare": "https://api.example.com/v1/flags/tr.svg?shape=1x1"      },      "timezone": "Europe/Istanbul"    },    "terminal": "M",    "gate": "A11",    "baggage": "16",    "times": {      "scheduledGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "estimatedGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "actualGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "scheduledRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "estimatedRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "actualRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      }    },    "bestTimeUtc": {},    "delayMinutes": {}  },  "diverted": {    "airport": {      "iata": "IST",      "icao": "LTFM",      "code": {},      "name": "Istanbul Airport",      "city": "Istanbul",      "state": "",      "country": {        "code": "TR",        "name": "Turkey",        "emoji": "🇹🇷",        "flagSvg": "https://api.example.com/v1/flags/tr.svg",        "flagSvgSquare": "https://api.example.com/v1/flags/tr.svg?shape=1x1"      },      "timezone": "Europe/Istanbul"    },    "terminal": "M",    "gate": "A11",    "baggage": "16",    "times": {      "scheduledGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "estimatedGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "actualGate": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "scheduledRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "estimatedRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      },      "actualRunway": {        "utc": "2026-09-08T09:10:00.000Z",        "local": "2026-09-08T12:10:00.000",        "timezone": "EEST"      }    },    "bestTimeUtc": {},    "delayMinutes": {}  },  "status": {    "code": "L",    "label": "Arrived",    "description": "On time",    "color": "green",    "phase": "scheduled",    "delayed": true,    "cancelled": true,    "diverted": true,    "departureGateDelayMinutes": {},    "arrivalGateDelayMinutes": {}  },  "equipment": {    "tailNumber": "TC-LTP",    "iata": "32Q",    "name": "Airbus A321neo",    "source": "Actual"  },  "duration": {    "scheduledMinutes": {},    "estimatedMinutes": {},    "actualMinutes": {}  },  "timeline": [    {      "occurredAt": "2026-09-09T10:38:16.000Z",      "title": "Time Adjustment",      "source": "Airline",      "events": [        "Actual Gate Arrival changed to 13:35"      ]    }  ],  "alternates": [    {      "providerFlightId": "1407278900",      "carrier": "AJA",      "departureIata": "SAW",      "arrivalIata": "AMS",      "scheduledDepartureLocal": "08:45",      "scheduledArrivalLocal": "11:30",      "selected": true    }  ],  "fingerprint": "9f2b..."}